Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611726 - Oracle: issue when uninventoring platform
Oracle: issue when uninventoring platform
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 05:52 EDT by Heiko W. Rupp
Modified: 2014-04-04 15:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 15:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2010-07-06 05:52:35 EDT
Saw this flying by when uninventoring a platform on Perf env:

05:45:32,580 ERROR [ResourceManagerBean] Bulk named query delete error for 'ResourceConfigurationUpdate.deleteByResources2' for [11769]: org.hibernate.exception.SQLGrammarException: could not execute update query

No more details available.
Comment 1 Joseph Marques 2010-09-24 12:24:32 EDT
QE: uninventory any resource that has 2-3 resource configuration history elements when using oracle.  see if any errors still occur.
Comment 2 Rajan Timaniya 2010-09-29 07:13:15 EDT
Tested on JON 2.4 with Oracle 11g

1) Created configuration history for 'Memory Subsystem' and uninventory it.
   Observation: 'Memory Subsystem' uninventory successfully
   Server log:
2010-09-29 16:27:07,186 INFO  [org.rhq.enterprise.server.resource.ResourceManagerBean] User [org.rhq.core.domain.auth.Subject[id=2,name=rhqadmin]] is marking resource [Resource[id=10147, type=VM Memory System, key=java.lang:type=Memory, name=Memory Subsystem, parent=JVM]] for asynchronous uninventory
2010-09-29 16:27:10,925 WARN  [org.hibernate.hql.ast.QueryTranslatorImpl] firstResult/maxResults specified with collection fetch; applying in memory!


2) Uninventory (RHEL 5.5) platform
   Observation: Uninventoried platform successfully
   Server log:
2010-09-29 16:39:03,764 INFO  [org.rhq.enterprise.server.resource.ResourceManagerBean] User [org.rhq.core.domain.auth.Subject[id=2,name=rhqadmin]] is marking resource [Resource[id=10001, type=Linux, key=10.65.193.1, name=10.65.193.1, parent=<null>, version=Linux 2.6.18-194.11.1.el5PAE]] for asynchronous uninventory
2010-09-29 16:39:05,549 WARN  [org.rhq.enterprise.server.core.comm.ServerCommunicationsService] {Failed to truncate/delete spool for deleted agent [Agent[id=10001,name=10.65.193.1,address=10.65.193.1,port=16163,remote-endpoint=socket://10.65.193.1:16163/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200,last-availability-report=1285758524490]] please manually remove the file: null}!!! missing resource message key=[Failed to truncate/delete spool for deleted agent [Agent[id=10001,name=10.65.193.1,address=10.65.193.1,port=16163,remote-endpoint=socket://10.65.193.1:16163/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200,last-availability-report=1285758524490]] please manually remove the file: null] args=[java.lang.NullPointerException]
2010-09-29 16:39:05,562 INFO  [org.rhq.enterprise.server.core.AgentManagerBean] Removed agent: Agent[id=10001,name=10.65.193.1,address=10.65.193.1,port=16163,remote-endpoint=socket://10.65.193.1:16163/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200,last-availability-report=1285758524490]
2010-09-29 16:39:05,789 ERROR [org.rhq.enterprise.server.discovery.DiscoveryServerServiceImpl] Received invalid inventory report from agent [Agent[id=0,name=10.65.193.1,address=null,port=0,remote-endpoint=null,last-availability-report=null]]: Unknown Agent named [10.65.193.1] sent an inventory report - that report will be ignored
2010-09-29 16:39:06,823 INFO  [org.rhq.enterprise.server.core.CoreServerServiceImpl] Got agent registration request for new agent: 10.65.193.1[10.65.193.1:16163][3.0.0.GA(8fb6059)]
2010-09-29 16:39:08,057 ERROR [org.rhq.enterprise.server.alert.engine.internal.AlertConditionCacheCoordinator] Could not find agent for scheduleId = 10008
2010-09-29 16:39:08,169 WARN  [org.hibernate.hql.ast.QueryTranslatorImpl] firstResult/maxResults specified with collection fetch; applying in memory!
Comment 3 Jay Shaughnessy 2014-04-04 15:44:07 EDT
Closing, unseen recently and the uninventory was actually successful.

Note You need to log in before you can comment on or make changes to this bug.